<?php
/**
* @version $Id: $
* @package osm-things
* @copyright Copyright (C) 2008 Sebastian Klemm.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

define( '_VALID_OSM', TRUE );
define( '_PATH', './' );
$DEBUG = FALSE;
if($DEBUG) error_reporting(E_ALL);
setlocale (LC_TIME, "ge", "de_DE.UTF-8");	# german

include("./config.inc.php");
include("./libraries/functions.inc.php");
#include("./libraries/classes.php");
include("./languages/".get_lang($cfg['config_language']).".php");
require('./libraries/phplot/phplot.php');

$id = intval($_GET['id']);
if(isset($_GET['width']))
	$width = intval($_GET['width']);
else
	$width = 950;
if(isset($_GET['height']))
	$height = intval($_GET['height']);
else
	$height = 250;
if(isset($_GET['bts']))
	$begin_timestamp = intval($_GET['bts']);
if(isset($_GET['ets']))
	$end_timestamp = intval($_GET['ets']);
/*
$name = null;
if(isset($_GET['name']))
	$name = strip_tags($_GET['name']);
$type = null;
if(isset($_GET['type']))
	$type = strip_tags($_GET['type']);
*/

// connect to database
$link = db_connect_h($cfg['db_host'], $cfg['db_name'], $cfg['db_user'], $cfg['db_password']);

if(1|| $type == "altitude") {
	$query = "SELECT `altitude`, `timestamp` FROM `${cfg['db_table_prefix']}gpx_import` 
				WHERE `gpx_id` = '$id' ";
	if(isset($begin_timestamp) && isset($end_timestamp)) {
		$query .= "AND UNIX_TIMESTAMP(`timestamp`) 
					BETWEEN $begin_timestamp AND $end_timestamp;";
	}
	$result = db_query($query);
	
	if(mysql_num_rows($result)) {

		while($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
			
			if($row['altitude']) {
				$td = array('', strtotime($row['timestamp']), $row['altitude']);
				$data[] = $td;
			}
		}
	}

	$plot = new PHPlot($width, $height);
	$plot->SetPlotType('lines');
	$plot->SetXLabelType('time', '%H:%M');
	$plot->setPrecisionY(0);
	$plot->setTitle(_CHART_ELEVATION_TITLE);
	$plot->setXTitle(_CHART_AXIS_TIME .' / hh:mm');
	$plot->setYTitle(_CHART_AXIS_ELE .' / m');
	$plot->setLegend(_CMN_GPX_ID .': '.$id);

	$plot->SetDataValues($data);
	$plot->SetDataType('data-data');
	$plot->DrawGraph();
}
?>